dbXML API

## org.xmldb.api.base
Class XMLDBException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.xmldb.api.base.XMLDBException

All Implemented Interfaces:
  java.io.Serializable

public final class XMLDBException
extends java.lang.Exception

XMLDBException is thrown for all errors in the XML:DB API. It contains two error codes one an XML:DB error code as defined in ErrorCodes and one vendor specific. If the error being thrown is only vendor specific then errorCode MUST be set to ErrorCodes.VENDOR_ERROR.

See Also:
  `ErrorCodes`, Serialized Form

Field Summary
`int` `errorCode`
`int` `vendorErrorCode`

Constructor Summary
`XMLDBException()`
`XMLDBException(int errorCode)`
`XMLDBException(int errorCode, int vendorErrorCode)`
`XMLDBException(int errorCode, int vendorErrorCode, java.lang.String message)`
`XMLDBException(int errorCode, java.lang.String message)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### errorCode

    public int errorCode

### vendorErrorCode

    public int vendorErrorCode

Constructor Detail

### XMLDBException

    public XMLDBException()

### XMLDBException

    public XMLDBException(int errorCode)

### XMLDBException

    public XMLDBException(int errorCode,
                          java.lang.String message)

### XMLDBException

    public XMLDBException(int errorCode,
                          int vendorErrorCode)

### XMLDBException

    public XMLDBException(int errorCode,
                          int vendorErrorCode,
                          java.lang.String message)

dbXML API

Copyright (c) 1999-2001 The dbXML Group, All rights reserved